package cc.smtweb.system.canal.file.impl;

import cc.smtweb.framework.core.common.CanalVO;
import cc.smtweb.framework.core.common.SwEnum;
import cc.smtweb.framework.core.exception.SwException;
import cc.smtweb.system.canal.file.common.AbstractFileWork;

/**
 * @Author yaoq
 * @Date 2022年09月20日 10:29
 * @Description
 */
public class DmSqlFileWork extends AbstractFileWork {

    @Override
    protected String getDbType() {
        return SwEnum.DbType.DMSQL.value;
    }


    @Override
    protected void doCreateSql(CanalVO canalVO) {
        throw new SwException("暂不支持新增表");
    }

    @Override
    protected void doAlterSql(CanalVO canalVO) {
        throw new SwException("暂不支持修改表");
    }
}
